# ODC2700 scaling

+:--------------------------+:-----------+:-----------+:---------------------------------------------------------------+:-------------------------------------+
| **Signalname**            | **min**    | **max**    | **scale**                                                      | **Unit**                             |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| RAW (2048 x 16Bit)        | 0          | 1023       | value / 1024 * 100                                             | %                                    |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| LIGHT(2048 x 16Bit)       | 0          | 1023       | value / 1024 * 100                                             | %                                    |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| RAW2D                     | 0          | 1          | value                                                          | Pixel Hell                           |
| (512 x 128 Pixel x 1Bit)  |            |            |                                                                |                                      |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| SHUTTER                   | 85         | 85         | value / 10                                                     | µs                                   |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| ENCODER1                  | 0          | UINT32_MAX | value                                                          | Encoder Ticks                        |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| *[A|B]T                   | -63000     | 63000      | value / 100                                                    | Grad                                 |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| *[A|B|C|D]                | INT32_MIN  | 0x7ffffeff | value / 100000                                                 | mm                                   |
|                           |            |            | - 0x7fffff04 Es ist keine Kante vorhanden                      |                                      |
|                           |            |            | - 0x7fffff07 Messwert kann nicht berechnet werden              |                                      |
|                           |            |            | - 0x7fffff08 Messwert ist außerhalb des darstellbaren Bereichs |                                      |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| CNT_EDGE                  | 0          | 0x7ff      | value                                                          | Anzahl                               |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| CNT_PIN                   | 0          | 0x7ff      | value                                                          | Anzahl                               |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| CNT_GAP                   | 0          | 0x7ff      | value                                                          | Anzahl                               |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| MEASRATE                  | 2000       | 100000     | 10000 / value                                                  | kHz                                  |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| TRIGGERTIMEDIFF           | 0          | 100000     | value / 10                                                     | µs                                   |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| TIMESTAMP                 | 0          | UINT32_MAX | value                                                          | µs                                   |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| COUNTER                   | 0          | UINT32_MAX | value                                                          |                                      |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| STATE                     | 0          | UINT32_MAX | - Bit 0: Zustand Schaltausgang 3                               |                                      |
|                           |            |            | - Bit 1: Schaltausgang 3 aktiv                                 |                                      |
|                           |            |            | - Bit 3: Zustand Encoder 1 Spur Index                          |                                      |
|                           |            |            | - Bit 4: Zustand Encoder 1 Spur B                              |                                      |
|                           |            |            | - Bit 5: Zustand Encoder 1 Spur A                              |                                      |
|                           |            |            | - Bit 7: Trigger                                               |                                      |
|                           |            |            | - Bit 8: Zustand Schaltausgang 1                               |                                      |
|                           |            |            | - Bit 9: Schaltausgang 1 aktiv                                 |                                      |
|                           |            |            | - Bit 10: Zustand Schaltausgang 2                              |                                      |
|                           |            |            | - Bit 11: Schaltausgang 2 aktiv                                |                                      |
|                           |            |            | - Bit 12: Sync/Trig aktiv                                      |                                      |
|                           |            |            | - Bit 13: Zustand Sync/Trig                                    |                                      |
|                           |            |            | - Bit 14: Synchronisationsfehler                               |                                      |
|                           |            |            | - Bit 15: getriggertes Frame                                   |                                      |
|                           |            |            | - Bit 24: Status-LED                                           |                                      |
|                           |            |            | - Bit 26: Ethernet Link-LED                                    |                                      |
|                           |            |            | - Bit 27: Ethernet Speed-LED                                   |                                      |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
| USERNAMED VALUES          | INT32_MIN  | 0x7ffffeff | wie *[A|B|C|D]                                                 | mm                                   |
+---------------------------+------------+------------+----------------------------------------------------------------+--------------------------------------+
